List all bank statements

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank API MCP server": {
    "url": "https://docs.api.memo.bank/mcp"
  }
}

Close
GET /v2/bank_statements

Bank statements are listed from the most recent period to the oldest one.

Scope: bank-statements:read

Query parameters

  • account_id string(uuid)

    Filter statements by account.

  • month string

    Filter statements covering a period within the given month, in the YYYY-MM format.

    Format should match the following pattern: ^[0-9]{4}-(0[1-9]|1[0-2])$.

  • format string

    Filter statements by file format.

    Values are pdf or cfonb120.

  • page integer(int32) Deprecated

    Index of the requested page. Deprecated, use page_token instead.

    Minimum value is 1.

  • page_token string

    Token used to fetch a specific page, as returned by the next_page_token or prev_page_token field of a previous response. Mutually exclusive with page.

  • size integer(int32)

    Number of elements per page in response.

    Minimum value is 1, maximum value is 100. Default value is 10.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • results array[object] Required

      Elements of the page.

      Hide results attributes Show results attributes object
      • id string(uuid) Required

        ID of the statement.

      • account_id string(uuid) Required

        ID of the account this statement was generated for.

      • format string Required

        Format of the statement file.

        Values are pdf or cfonb120.

      • month string Required

        Month covered by the statement, in the YYYY-MM format.

      • start_date string(date) Required

        First day of the period covered by the statement (inclusive). The statement of the month an account is closed only covers the days up to its closing.

      • end_date string(date) Required

        Last day of the period covered by the statement (inclusive).

      • filename string Required

        Name of the statement file.

      • size integer(int64) Required

        Size of the statement file in bytes.

      • mime_type string Required

        Mime type of the statement file.

      • created_at string(date-time) Required

        Date at which the statement was generated.

    • has_prev boolean Required Deprecated

      Flag indicating if there is a previous page. Deprecated, use prev_page_token instead.

    • has_next boolean Required Deprecated

      Flag indicating if there is a next page. Deprecated, use next_page_token instead.

    • next_page_token string | null

      Token to fetch the next page, to be passed in subsequent requests as the page_token query parameter. null when there is no next page.

    • prev_page_token string | null

      Token to fetch the previous page, to be passed in subsequent requests as the page_token query parameter. null when there is no previous page.

GET /v2/bank_statements
curl \
 --request GET 'https://api.memo.bank/v2/bank_statements'
Response examples (200)
{
  "results": [
    {
      "id": "4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1",
      "account_id": "29883c3d-0b11-4c38-91b0-af9018cc5b14",
      "format": "pdf",
      "month": "2026-09",
      "start_date": "2026-09-01",
      "end_date": "2026-09-30",
      "filename": "statement.pdf",
      "size": 42,
      "mime_type": "application/pdf",
      "created_at": "2026-05-04T09:42:00Z"
    }
  ],
  "has_prev": true,
  "has_next": true,
  "next_page_token": "eyJwIjozfQ",
  "prev_page_token": "eyJwIjoxfQ"
}